import { TextObjectFilterResult } from "@core/Models/TextObjectFilter.model";
import ApiRequest from "@services/Api.Service";

export default function filterObject<CustomFilterParams extends object>(
    endpoint: string,
    data: CustomFilterParams
): Promise<TextObjectFilterResult[]> {
    return ApiRequest.post<TextObjectFilterResult[]>(endpoint, data);
}
